Loading...
Searching...
No Matches
TrcStackElem Class Reference

`#include <trc_etmv4_stack_elem.h>`

Inheritance diagram for TrcStackElem:
[legend]

## Public Member Functions

| TrcStackElem (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElem ()
const p0_elem_t | getP0Type () const
const ocsd_etmv4_i_pkt_type | getRootPkt () const
const ocsd_trc_index_t | getRootIndex () const
const bool | isP0 () const

## Protected Attributes

bool | m_is_P0

## Detailed Description

Definition at line 77 of file trc_etmv4_stack_elem.h.

## Constructor & Destructor Documentation

## TrcStackElem()

TrcStackElem::TrcStackElem | ( | const p0_elem_t | p0_type,
|  | const bool | isP0,
|  | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index
| ) |  |

inline

Definition at line 97 of file trc_etmv4_stack_elem.h.

## ~TrcStackElem()

virtual TrcStackElem::~TrcStackElem | ( |  | ) |

inline virtual

Definition at line 80 of file trc_etmv4_stack_elem.h.

## Member Function Documentation

## getP0Type()

const p0_elem_t TrcStackElem::getP0Type | ( |  | ) | const

inline

Definition at line 82 of file trc_etmv4_stack_elem.h.

## getRootIndex()

const ocsd_trc_index_t TrcStackElem::getRootIndex | ( |  | ) | const

inline

Definition at line 84 of file trc_etmv4_stack_elem.h.

## getRootPkt()

const ocsd_etmv4_i_pkt_type TrcStackElem::getRootPkt | ( |  | ) | const

inline

Definition at line 83 of file trc_etmv4_stack_elem.h.

## isP0()

const bool TrcStackElem::isP0 | ( |  | ) | const

inline

Definition at line 85 of file trc_etmv4_stack_elem.h.

## Member Data Documentation

## m_is_P0

bool TrcStackElem::m_is_P0

protected

Definition at line 93 of file trc_etmv4_stack_elem.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/opencsd/etmv4/trc_etmv4_stack_elem.h